Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.registry
Class ViewComponentFactory

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.pf.registry.Item
                  de.grogra.imp.registry.ViewComponentFactory

All Implemented Interfaces:
  Manageable, PersistenceCapable, Shareable, RegistryContext, UIItem, UserFields, XObject, Described, Map, java.io.Serializable

    public class ViewComponentFactory

extends Item
implements UIItem

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Method Summary
`ViewComponent` | `createViewComponent(Context ctx)`
`static ViewComponentFactory` | `get(View view, java.lang.String itemPath)`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`int` | `getUINodeType()`
`java.lang.Object` | `invoke(Context ctx, java.lang.String method, java.lang.Object arg)`
`boolean` | `isAvailable(Context ctx)`
`boolean` | `isEnabled(Context ctx)`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`protected boolean` | `readAttribute(java.lang.String uri, java.lang.String name, java.lang.String value)`

Methods inherited from class de.grogra.pf.registry.Item
`activate, activateImpl, add, add, addPluginPrerequisite, addPluginPrerequisites, addRequiredFiles, addUserItem, addUserItemWithUniqueName, addWithUniqueName, beginXA, classForName, commitXA, createItem, deactivate, deactivateImpl, deriveItems, dupUnmanagedFields, equals, findAll, findAll, findAll, findFirst, findFirst, findFirst, findMax, findMax, findMax, forAll, forAll, forAll, get, getAbsoluteName, getAccessor, getAccessor, getAttributes, getAttributes, getClassLoader, getDefaultDescription, getDefaultValue, getDerivedDescription, getDescription, getDescriptionImpl, getFromResource, getI18NBundle, getItem, getLock, getParentMap, getPath, getPluginDescriptor, getRegistry, getRoot, getTransaction, getUniqueName, getWriteLock, hasEditableOptions, initPluginDescriptor, isActivated, isDirectory, isEditable, isOptionCategory, isPluginItem, isUserItem, makeUserItem, paramString, remove, removeDerivedItems, resolveItem, resolveLink, set, setDefaultDescription, setDescription, setDescription, setDirectory, setName, setNameIfNull, setOption, substitute, validate`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, edgeChanged, fieldModified, findAdjacent, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

Method Detail

### createViewComponent

    public ViewComponent createViewComponent(Context ctx)

### get

    public static ViewComponentFactory get(View view,
                                           java.lang.String itemPath)

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Item`
  Returns:
    type describing the managed fields of the class of this node

### getUINodeType

    public int getUINodeType()

  Specified by:
    `getUINodeType` in interface `UIItem`

### invoke

    public java.lang.Object invoke(Context ctx,
                                   java.lang.String method,
                                   java.lang.Object arg)

  Specified by:
    `invoke` in interface `UIItem`

### isAvailable

    public boolean isAvailable(Context ctx)

  Specified by:
    `isAvailable` in interface `UIItem`

### isEnabled

    public boolean isEnabled(Context ctx)

  Specified by:
    `isEnabled` in interface `UIItem`

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Item`
  Returns:
    new instance of class of this node

### readAttribute

    protected boolean readAttribute(java.lang.String uri,
                                    java.lang.String name,
                                    java.lang.String value)
                             throws org.xml.sax.SAXException

  Overrides:
    `readAttribute` in class `Item`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD